import { ethers } from 'ethers';
export declare class BlobTransaction {
    private _jsonRpc;
    private _provider;
    private _privateKey;
    private _wallet;
    private _chainId;
    constructor(jsonRpc: string, privateKey: string);
    sendRpcCall(method: any, parameters: any): Promise<any>;
    sendRawTransaction(param: any): Promise<any>;
    getChainId(): Promise<string>;
    getNonce(): Promise<number>;
    getFee(): Promise<ethers.providers.FeeData>;
    suggestGasPrice(): Promise<any>;
    estimateGas(params: any): Promise<any>;
    sanityCheck(tx: any): Promise<{
        chainId: any;
        nonce: any;
        to: any;
        value: any;
        data: any;
        maxPriorityFeePerGas: any;
        maxFeePerGas: any;
        gasLimit: any;
        maxFeePerBlobGas: any;
    }>;
    sendTx(blobs: any, tx: any): Promise<any>;
    isTransactionMined(transactionHash: any): Promise<ethers.providers.TransactionReceipt>;
    getTxReceipt(transactionHash: any): Promise<any>;
    getBlobHash(blob: any): string;
}
